Bug 59712 - Aot files could not be copied to the destination directory
Summary: Aot files could not be copied to the destination directory
Status: RESOLVED DUPLICATE of bug 56754
Alias: None
Product: iOS
Classification: Xamarin
Component: General (show other bugs)
Version: XI 11.0 (xcode9)
Hardware: PC Windows
: --- normal
Target Milestone: Untriaged
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2017-09-25 02:17 UTC by ebugden
Modified: 2017-11-03 19:42 UTC (History)
5 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Project that fails to build (4.40 MB, application/x-zip-compressed)
2017-09-28 21:39 UTC, ebugden
Details

Description ebugden 2017-09-25 02:17:09 UTC
The following is a verbose log of the compilation. The version in use are: VS 2017 15.3.5, Xamarin iOS version is 11.0, XCode 9 on the Mac.

The process to create the IPA file worked on a pervious version of Xamarin using XCode 8.

It has become broken in the latest update.

1>------ Skipped Rebuild All: Project: AutoPayPhone.Droid, Configuration: Debug Any CPU ------
1>Project not selected to build for this solution configuration 
2>------ Rebuild All started: Project: AutoPayPhone.iOS, Configuration: Release iPhone ------
2>  Connecting to Mac server 192.168.1.63...
2>  AutoPayPhone.iOS -> E:\Development\jci\PaymentMinder4.5\Phone\AutoPayPhone\AutoPayPhone\AutoPayPhone.iOS\bin\iPhone\Release\AutoPayPhoneiOS.exe
2>  Detected signing identity:
2>    Code Signing Key: "iPhone Distribution: Jenark Consultants Inc (KDR7HRB8ZN)" (27E7B4690F72C5EA886CB7D8EDF36F96D6F284BE)
2>    Provisioning Profile: "AutoPay Phone - Distribution" (a2e75193-fe27-4641-bf77-b3fd511f80ff)
2>    Bundle Id: ca.jenark.autopayphone
2>    App Id: KDR7HRB8ZN.ca.jenark.autopayphone
2>  Mono Ahead of Time compiler - compiling assembly /Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/64/Build/Xamarin.iOS.dll
2>  AOTID F2CF0D0D-4630-17DB-7972-F09B3F512A72
2>  Code: 422528(83%) Info: 12688(2%) Ex Info: 18381(3%) Unwind Info: 4635(0%) Class Info: 16573(3%) PLT: 1270(0%) GOT Info: 20710(4%) Offsets: 10894(2%) GOT: 19176
2>  Compiled: 2419/2419 (100%), No GOT slots: 1094 (45%), Direct calls: 1803 (89%)
2>  Output file: '/Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/arm64/Xamarin.iOS.dll.s'.
2>  Linking symbol: '_mono_aot_module_Xamarin_iOS_info'.
2>  JIT time: 275 ms, Generation time: 187 ms, Assembly+Link time: 0 ms.
2>  Mono Ahead of Time compiler - compiling assembly /Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/64/Build/AutoPayPhoneiOS.exe
2>  AOTID 6BB6E465-0AD3-4554-ABF0-6A4B4221EFDC
2>  Code: 76576(86%) Info: 1578(1%) Ex Info: 1619(1%) Unwind Info: 984(1%) Class Info: 2066(2%) PLT: 221(0%) GOT Info: 3534(4%) Offsets: 1664(1%) GOT: 4096
2>  Compiled: 342/342 (100%), No GOT slots: 152 (44%), Direct calls: 94 (97%)
2>  Output file: '/Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/arm64/AutoPayPhoneiOS.exe.s'.
2>  Linking symbol: '_mono_aot_module_AutoPayPhoneiOS_info'.
2>  JIT time: 73 ms, Generation time: 48 ms, Assembly+Link time: 0 ms.
2>  Mono Ahead of Time compiler - compiling assembly /Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/64/Build/System.dll
2>  AOTID 16671695-90DD-26BF-08EE-F52F456A2385
2>  Code: 783908(86%) Info: 19382(2%) Ex Info: 27000(2%) Unwind Info: 6688(0%) Class Info: 16423(1%) PLT: 1991(0%) GOT Info: 34480(3%) Offsets: 13874(1%) GOT: 32248
2>  Compiled: 2966/2966 (100%), No GOT slots: 1751 (59%), Direct calls: 4633 (116%)
2>  Output file: '/Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/arm64/System.dll.s'.
2>  Linking symbol: '_mono_aot_module_System_info'.
2>  JIT time: 525 ms, Generation time: 620 ms, Assembly+Link time: 8 ms.
2>  Mono Ahead of Time compiler - compiling assembly /Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/64/Build/mscorlib.dll
2>  AOTID 2CEF09B5-C69B-53FE-7BA1-50D024D68395
2>  Code: 1773104(84%) Info: 41056(1%) Ex Info: 83258(3%) Unwind Info: 10959(0%) Class Info: 24644(1%) PLT: 4747(0%) GOT Info: 127940(6%) Offsets: 35200(1%) GOT: 66144
2>  Compiled: 8170/8170 (100%), No GOT slots: 5452 (66%), Direct calls: 16427 (118%)
2>  Output file: '/Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/arm64/mscorlib.dll.s'.
2>  Linking symbol: '_mono_aot_module_mscorlib_info'.
2>  JIT time: 1118 ms, Generation time: 1523 ms, Assembly+Link time: 7 ms.
2>  Mono Ahead of Time compiler - compiling assembly /Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/64/Build/Mono.Security.dll
2>  AOTID BFB3FC9A-095D-A6E6-EC92-DB7093CDEBE4
2>  Code: 33336(84%) Info: 639(1%) Ex Info: 720(1%) Unwind Info: 1007(2%) Class Info: 1346(3%) PLT: 107(0%) GOT Info: 1573(3%) Offsets: 807(2%) GOT: 1632
2>  Compiled: 173/173 (100%), No GOT slots: 84 (48%), Direct calls: 106 (97%)
2>  Output file: '/Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/arm64/Mono.Security.dll.s'.
2>  Linking symbol: '_mono_aot_module_Mono_Security_info'.
2>  JIT time: 36 ms, Generation time: 32 ms, Assembly+Link time: 0 ms.
2>  Mono Ahead of Time compiler - compiling assembly /Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/64/Build/System.Core.dll
2>  AOTID 2E4F685A-EF40-AEED-96E8-03FA4F839086
2>  Code: 1264(54%) Info: 17(0%) Ex Info: 76(3%) Unwind Info: 58(2%) Class Info: 58(2%) PLT: 22(0%) GOT Info: 693(30%) Offsets: 142(6%) GOT: 416
2>  Compiled: 3/3 (100%), No GOT slots: 0 (0%), Direct calls: 0 (0%)
2>  Output file: '/Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/arm64/System.Core.dll.s'.
2>  Linking symbol: '_mono_aot_module_System_Core_info'.
2>  JIT time: 2 ms, Generation time: 2 ms, Assembly+Link time: 0 ms.
2>  Mono Ahead of Time compiler - compiling assembly /Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/64/Build/System.Web.Services.dll
2>  AOTID 39164DF6-7A0B-9C27-E93E-89E381518857
2>  Code: 200080(87%) Info: 5269(2%) Ex Info: 4603(2%) Unwind Info: 2366(1%) Class Info: 6095(2%) PLT: 479(0%) GOT Info: 5602(2%) Offsets: 3442(1%) GOT: 7840
2>  Compiled: 917/917 (100%), No GOT slots: 479 (52%), Direct calls: 387 (65%)
2>  Output file: '/Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/arm64/System.Web.Services.dll.s'.
2>  Linking symbol: '_mono_aot_module_System_Web_Services_info'.
2>  JIT time: 199 ms, Generation time: 144 ms, Assembly+Link time: 0 ms.
2>  Mono Ahead of Time compiler - compiling assembly /Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/64/Build/System.Xml.dll
2>  AOTID 31640609-9B2A-79BC-F6C0-5BAA004B4330
2>  Code: 1779984(87%) Info: 49816(2%) Ex Info: 56309(2%) Unwind Info: 9309(0%) Class Info: 32406(1%) PLT: 4090(0%) GOT Info: 73306(3%) Offsets: 28916(1%) GOT: 62056
2>  Compiled: 6846/6846 (100%), No GOT slots: 4156 (60%), Direct calls: 7659 (76%)
2>  Output file: '/Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/arm64/System.Xml.dll.s'.
2>  Linking symbol: '_mono_aot_module_System_Xml_info'.
2>  JIT time: 992 ms, Generation time: 713 ms, Assembly+Link time: 5 ms.
2>  Mono Ahead of Time compiler - compiling assembly /Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/32/Build/AutoPayPhoneiOS.exe
2>  AOTID 615365B9-1A4E-18CB-F9D2-8F26A33407C4
2>  Code: 80548(83%) Info: 1578(1%) Ex Info: 1701(1%) Unwind Info: 4807(5%) Class Info: 2065(2%) PLT: 221(0%) GOT Info: 3534(3%) Offsets: 1664(1%) GOT: 2048
2>  Compiled: 342/342 (100%), No GOT slots: 152 (44%), Direct calls: 94 (97%)
2>  Output file: '/Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/armv7s/AutoPayPhoneiOS.exe.s'.
2>  Linking symbol: '_mono_aot_module_AutoPayPhoneiOS_info'.
2>  JIT time: 64 ms, Generation time: 54 ms, Assembly+Link time: 0 ms.
2>  Mono Ahead of Time compiler - compiling assembly /Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/32/Build/AutoPayPhoneiOS.exe
2>  AOTID 5AC91FA5-A156-30A0-83B8-CA46CCE9025D
2>  Code: 80200(83%) Info: 1578(1%) Ex Info: 1701(1%) Unwind Info: 4807(5%) Class Info: 2065(2%) PLT: 222(0%) GOT Info: 3551(3%) Offsets: 1664(1%) GOT: 2052
2>  Compiled: 342/342 (100%), No GOT slots: 152 (44%), Direct calls: 94 (97%)
2>  Output file: '/Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/armv7/AutoPayPhoneiOS.exe.s'.
2>  Linking symbol: '_mono_aot_module_AutoPayPhoneiOS_info'.
2>  JIT time: 65 ms, Generation time: 50 ms, Assembly+Link time: 0 ms.
2>  Mono Ahead of Time compiler - compiling assembly /Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/32/Build/Xamarin.iOS.dll
2>  AOTID B76EE8AA-7A74-A396-2104-E43FC2CF19A5
2>  Code: 450816(79%) Info: 12542(2%) Ex Info: 20900(3%) Unwind Info: 31621(5%) Class Info: 16508(2%) PLT: 1268(0%) GOT Info: 20699(3%) Offsets: 10868(1%) GOT: 9576
2>  Compiled: 2417/2417 (100%), No GOT slots: 1091 (45%), Direct calls: 1896 (94%)
2>  Output file: '/Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/armv7/Xamarin.iOS.dll.s'.
2>  Linking symbol: '_mono_aot_module_Xamarin_iOS_info'.
2>  JIT time: 505 ms, Generation time: 456 ms, Assembly+Link time: 0 ms.
2>  Mono Ahead of Time compiler - compiling assembly /Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/32/Build/mscorlib.dll
2>  AOTID 395762B5-9FE0-BBAF-6BA7-757151F5F010
2>  Code: 1854752(80%) Info: 40592(1%) Ex Info: 96075(4%) Unwind Info: 126510(5%) Class Info: 24554(1%) PLT: 4763(0%) GOT Info: 128065(5%) Offsets: 35233(1%) GOT: 33084
2>  Compiled: 8193/8193 (100%), No GOT slots: 5454 (66%), Direct calls: 16964 (122%)
2>  Output file: '/Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/armv7/mscorlib.dll.s'.
2>  Linking symbol: '_mono_aot_module_mscorlib_info'.
2>  JIT time: 1367 ms, Generation time: 2523 ms, Assembly+Link time: 17 ms.
2>  Mono Ahead of Time compiler - compiling assembly /Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/32/Build/Xamarin.iOS.dll
2>  AOTID 2B8CDAD0-92A5-B941-5162-728885064A33
2>  Code: 452528(80%) Info: 12542(2%) Ex Info: 20900(3%) Unwind Info: 31621(5%) Class Info: 16508(2%) PLT: 1267(0%) GOT Info: 20682(3%) Offsets: 10868(1%) GOT: 9572
2>  Compiled: 2417/2417 (100%), No GOT slots: 1091 (45%), Direct calls: 1896 (94%)
2>  Output file: '/Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/armv7s/Xamarin.iOS.dll.s'.
2>  Linking symbol: '_mono_aot_module_Xamarin_iOS_info'.
2>  JIT time: 528 ms, Generation time: 454 ms, Assembly+Link time: 0 ms.
2>  Mono Ahead of Time compiler - compiling assembly /Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/32/Build/mscorlib.dll
2>  AOTID 85B4AD23-4BEF-A360-7DAF-97FA47578F4F
2>  Code: 1872240(80%) Info: 40592(1%) Ex Info: 96085(4%) Unwind Info: 126516(5%) Class Info: 24554(1%) PLT: 4762(0%) GOT Info: 128045(5%) Offsets: 35233(1%) GOT: 33080
2>  Compiled: 8193/8193 (100%), No GOT slots: 5454 (66%), Direct calls: 16964 (122%)
2>  Output file: '/Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/armv7s/mscorlib.dll.s'.
2>  Linking symbol: '_mono_aot_module_mscorlib_info'.
2>  JIT time: 1362 ms, Generation time: 2466 ms, Assembly+Link time: 126 ms.
2>  Mono Ahead of Time compiler - compiling assembly /Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/32/Build/Mono.Security.dll
2>  AOTID 1BB25BB6-C2A2-97D7-61F5-04C783C331D8
2>  Code: 34428(78%) Info: 636(1%) Ex Info: 813(1%) Unwind Info: 4507(10%) Class Info: 1345(3%) PLT: 107(0%) GOT Info: 1573(3%) Offsets: 807(1%) GOT: 816
2>  Compiled: 173/173 (100%), No GOT slots: 84 (48%), Direct calls: 109 (100%)
2>  Output file: '/Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/armv7/Mono.Security.dll.s'.
2>  Linking symbol: '_mono_aot_module_Mono_Security_info'.
2>  JIT time: 37 ms, Generation time: 37 ms, Assembly+Link time: 0 ms.
2>  Mono Ahead of Time compiler - compiling assembly /Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/32/Build/Mono.Security.dll
2>  AOTID CBC46603-90B4-B1F2-420F-1D6C27DEE702
2>  Code: 34496(78%) Info: 636(1%) Ex Info: 813(1%) Unwind Info: 4507(10%) Class Info: 1345(3%) PLT: 107(0%) GOT Info: 1573(3%) Offsets: 807(1%) GOT: 816
2>  Compiled: 173/173 (100%), No GOT slots: 84 (48%), Direct calls: 109 (100%)
2>  Output file: '/Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/armv7s/Mono.Security.dll.s'.
2>  Linking symbol: '_mono_aot_module_Mono_Security_info'.
2>  JIT time: 37 ms, Generation time: 34 ms, Assembly+Link time: 0 ms.
2>  Mono Ahead of Time compiler - compiling assembly /Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/32/Build/System.dll
2>  AOTID CE7493B7-7142-3CEB-6F4D-D7F3D098114C
2>  Code: 850056(82%) Info: 19275(1%) Ex Info: 31336(3%) Unwind Info: 60314(5%) Class Info: 16399(1%) PLT: 1996(0%) GOT Info: 34545(3%) Offsets: 13872(1%) GOT: 16144
2>  Compiled: 2965/2965 (100%), No GOT slots: 1751 (59%), Direct calls: 4734 (118%)
2>  Output file: '/Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/armv7/System.dll.s'.
2>  Linking symbol: '_mono_aot_module_System_info'.
2>  JIT time: 683 ms, Generation time: 644 ms, Assembly+Link time: 70 ms.
2>  Mono Ahead of Time compiler - compiling assembly /Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/32/Build/System.dll
2>  AOTID 5716CF49-6466-0B52-2F5A-64F20B094EA9
2>  Code: 851968(82%) Info: 19275(1%) Ex Info: 31336(3%) Unwind Info: 60266(5%) Class Info: 16399(1%) PLT: 1995(0%) GOT Info: 34528(3%) Offsets: 13872(1%) GOT: 16140
2>  Compiled: 2965/2965 (100%), No GOT slots: 1751 (59%), Direct calls: 4734 (118%)
2>  Output file: '/Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/armv7s/System.dll.s'.
2>  Linking symbol: '_mono_aot_module_System_info'.
2>  JIT time: 688 ms, Generation time: 623 ms, Assembly+Link time: 4 ms.
2>  Mono Ahead of Time compiler - compiling assembly /Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/32/Build/System.Core.dll
2>  AOTID EF97242B-A106-7078-EDD4-6B96A0115843
2>  Code: 1324(53%) Info: 17(0%) Ex Info: 76(3%) Unwind Info: 148(6%) Class Info: 58(2%) PLT: 22(0%) GOT Info: 693(28%) Offsets: 142(5%) GOT: 208
2>  Compiled: 3/3 (100%), No GOT slots: 0 (0%), Direct calls: 0 (0%)
2>  Output file: '/Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/armv7s/System.Core.dll.s'.
2>  Linking symbol: '_mono_aot_module_System_Core_info'.
2>  JIT time: 2 ms, Generation time: 2 ms, Assembly+Link time: 0 ms.
2>  Mono Ahead of Time compiler - compiling assembly /Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/32/Build/System.Core.dll
2>  AOTID ED856DB3-76A6-A009-0A0A-857632EF1880
2>  Code: 1324(53%) Info: 17(0%) Ex Info: 76(3%) Unwind Info: 148(6%) Class Info: 58(2%) PLT: 22(0%) GOT Info: 693(28%) Offsets: 142(5%) GOT: 208
2>  Compiled: 3/3 (100%), No GOT slots: 0 (0%), Direct calls: 0 (0%)
2>  Output file: '/Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/armv7/System.Core.dll.s'.
2>  Linking symbol: '_mono_aot_module_System_Core_info'.
2>  JIT time: 2 ms, Generation time: 3 ms, Assembly+Link time: 0 ms.
2>  Mono Ahead of Time compiler - compiling assembly /Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/32/Build/System.Xml.dll
2>  AOTID DECE2735-3FDD-4DD9-59B6-8D7F57AA2C66
2>  Code: 1893812(84%) Info: 49820(2%) Ex Info: 66448(2%) Unwind Info: 101598(4%) Class Info: 32366(1%) PLT: 4097(0%) GOT Info: 73419(3%) Offsets: 28918(1%) GOT: 31056
2>  Compiled: 6847/6847 (100%), No GOT slots: 4156 (60%), Direct calls: 7659 (76%)
2>  Output file: '/Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/armv7/System.Xml.dll.s'.
2>  Linking symbol: '_mono_aot_module_System_Xml_info'.
2>  JIT time: 1007 ms, Generation time: 1289 ms, Assembly+Link time: 17 ms.
2>  Mono Ahead of Time compiler - compiling assembly /Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/32/Build/System.Xml.dll
2>  AOTID 365B741E-71D7-FBF1-0E89-D3FA696788EA
2>  Code: 1898972(84%) Info: 49820(2%) Ex Info: 66448(2%) Unwind Info: 101713(4%) Class Info: 32366(1%) PLT: 4096(0%) GOT Info: 73402(3%) Offsets: 28918(1%) GOT: 31052
2>  Compiled: 6847/6847 (100%), No GOT slots: 4156 (60%), Direct calls: 7659 (76%)
2>  Output file: '/Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/armv7s/System.Xml.dll.s'.
2>  Linking symbol: '_mono_aot_module_System_Xml_info'.
2>  JIT time: 1305 ms, Generation time: 1383 ms, Assembly+Link time: 0 ms.
2>  Mono Ahead of Time compiler - compiling assembly /Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/32/Build/System.Web.Services.dll
2>  AOTID 4EE3AF92-92D7-6C81-50EC-E781D783F210
2>  Code: 213576(84%) Info: 5269(2%) Ex Info: 4954(1%) Unwind Info: 12356(4%) Class Info: 6087(2%) PLT: 479(0%) GOT Info: 5601(2%) Offsets: 3446(1%) GOT: 3920
2>  Compiled: 917/917 (100%), No GOT slots: 479 (52%), Direct calls: 387 (65%)
2>  Output file: '/Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/armv7/System.Web.Services.dll.s'.
2>  Linking symbol: '_mono_aot_module_System_Web_Services_info'.
2>  JIT time: 1358 ms, Generation time: 2147 ms, Assembly+Link time: 0 ms.
2>  Mono Ahead of Time compiler - compiling assembly /Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/32/Build/System.Web.Services.dll
2>  AOTID 2441C7F2-3A4D-C818-4F2D-CB200CF42EA8
2>  Code: 214120(85%) Info: 5269(2%) Ex Info: 4954(1%) Unwind Info: 12356(4%) Class Info: 6087(2%) PLT: 479(0%) GOT Info: 5601(2%) Offsets: 3446(1%) GOT: 3920
2>  Compiled: 917/917 (100%), No GOT slots: 479 (52%), Direct calls: 387 (65%)
2>  Output file: '/Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/armv7s/System.Web.Services.dll.s'.
2>  Linking symbol: '_mono_aot_module_System_Web_Services_info'.
2>  JIT time: 152 ms, Generation time: 148 ms, Assembly+Link time: 0 ms.
2>C:\Program Files (x86)\Microsoft Visual Studio\2017\Professional\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(748,3): warning : Aot files could not be copied to the destination directory /Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/64/Build/Msym/Msym/tmp: Could not start process.
2>  	ApplicationName='mono-symbolicate', CommandLine='store-symbols "/Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/bin/iPhone/Release/AutoPayPhoneiOS.app.mSYM" "/Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/64/Build/Msym/Msym/tmp"', CurrentDirectory='', Native error= Cannot find the specified file
2>C:\Program Files (x86)\Microsoft Visual Studio\2017\Professional\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(748,3): warning : Aot files could not be copied to the destination directory /Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/32/Build/Msym/Msym/tmp: Could not start process.
2>  	ApplicationName='mono-symbolicate', CommandLine='store-symbols "/Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/bin/iPhone/Release/AutoPayPhoneiOS.app.mSYM" "/Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/obj/iPhone/Release/mtouch-cache/32/Build/Msym/Msym/tmp"', CurrentDirectory='', Native error= Cannot find the specified file
2>  /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/strip: removing global symbols from a final linked no longer supported.  Use -exported_symbols_list at link time when building: /Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/bin/iPhone/Release/AutoPayPhoneiOS.app/AutoPayPhoneiOS (for architecture armv7)
2>  /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/strip: removing global symbols from a final linked no longer supported.  Use -exported_symbols_list at link time when building: /Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/bin/iPhone/Release/AutoPayPhoneiOS.app/AutoPayPhoneiOS (for architecture armv7s)
2>  /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/strip: removing global symbols from a final linked no longer supported.  Use -exported_symbols_list at link time when building: /Users/Jenark/Library/Caches/Xamarin/mtbs/builds/AutoPayPhone.iOS/c111094a34f47094f0e609f125f8434b/bin/iPhone/Release/AutoPayPhoneiOS.app/AutoPayPhoneiOS (for architecture arm64)
2>  bin/iPhone/Release/AutoPayPhoneiOS.app: valid on disk
2>  bin/iPhone/Release/AutoPayPhoneiOS.app: satisfies its Designated Requirement
2>  bin/iPhone/Release/AutoPayPhoneiOS.app: explicit requirement satisfied
========== Rebuild All: 1 succeeded, 0 failed, 1 skipped ==========
Comment 1 Sebastien Pouliot 2017-09-25 21:12:59 UTC
> warning : Aot files could not be copied to the destination directory 

It's a warning, not an error, for mSYM (not dSYM) files which did not exists last year. Your IPA is fine and can be symbolicated using Apple tools (like before).

*** This bug has been marked as a duplicate of bug 56754 ***
Comment 2 ebugden 2017-09-27 20:11:14 UTC
**** Critical Issue *****

The result of running the compilation to create the IPA file is that the IPA file is not copied to the build server (MAC Computer)

I can not use the Show IPA on Build Server.

I can not use the Application Loader from Apple to load the IPA file to the Apple Store.

This is causing me to be unable to process my application to the place it into the Apple Store.

I need a work around for this issue.
Comment 3 Timothy Risi 2017-09-28 20:57:50 UTC
Hi,

Try disabling and re-enabling the 'Build iTunes Package Archive (IPA)' option and see if it changes anything.

1.  Open the Project Options
2.  Navigate to the iOS IPA Options Tab
3.  Uncheck 'Build iTunes Package (IPA)'
4.  Save
5.  Check 'Build iTunes Package (IPA)'
6.  Build

It would also be helpful for tracking down what is happening if you could provide a test project to reproduce the issue.
Comment 4 ebugden 2017-09-28 21:39:55 UTC
Created attachment 25013 [details]
Project that fails to build
Comment 5 Vincent Dondain [MSFT] 2017-11-03 19:42:56 UTC
Hi,

So this bug was indeed a duplicate (initially) of 56754.

Sebastien closed it in https://bugzilla.xamarin.com/show_bug.cgi?id=59712#c1 and it should not have been reopened because that only brings confusion.

I created a new bug that covers https://bugzilla.xamarin.com/show_bug.cgi?id=59712#c2 here: https://bugzilla.xamarin.com/show_bug.cgi?id=60518 let's continue the discussion and investigation there (:

Thanks.

*** This bug has been marked as a duplicate of bug 56754 ***

Note You need to log in before you can comment on or make changes to this bug.